summaryrefslogtreecommitdiffstats
path: root/gnulib-tests/test-c-strcase.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:46:38 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:46:38 +0000
commita06ac93dcf311dac3943cb5d96ad47625d413c2d (patch)
tree6efda5e24896e7920ccac1f97aecc73406525040 /gnulib-tests/test-c-strcase.sh
parentInitial commit. (diff)
downloadcoreutils-a06ac93dcf311dac3943cb5d96ad47625d413c2d.tar.xz
coreutils-a06ac93dcf311dac3943cb5d96ad47625d413c2d.zip
Adding upstream version 8.30.upstream/8.30upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'gnulib-tests/test-c-strcase.sh')
-rwxr-xr-xgnulib-tests/test-c-strcase.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/gnulib-tests/test-c-strcase.sh b/gnulib-tests/test-c-strcase.sh
new file mode 100755
index 0000000..5fcf906
--- /dev/null
+++ b/gnulib-tests/test-c-strcase.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Test in the C locale.
+./test-c-strcasecmp${EXEEXT} || exit 1
+./test-c-strncasecmp${EXEEXT} || exit 1
+
+# Test in an ISO-8859-1 or ISO-8859-15 locale.
+: ${LOCALE_FR=fr_FR}
+if test $LOCALE_FR != none; then
+ LC_ALL=$LOCALE_FR ./test-c-strcasecmp${EXEEXT} locale || exit 1
+ LC_ALL=$LOCALE_FR ./test-c-strncasecmp${EXEEXT} locale || exit 1
+fi
+
+# Test in a Turkish UTF-8 locale.
+: ${LOCALE_TR_UTF8=tr_TR.UTF-8}
+if test $LOCALE_TR_UTF8 != none; then
+ LC_ALL=$LOCALE_TR_UTF8 ./test-c-strcasecmp${EXEEXT} locale || exit 1
+ LC_ALL=$LOCALE_TR_UTF8 ./test-c-strncasecmp${EXEEXT} locale || exit 1
+fi
+
+exit 0